# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.context.WebAuthnGuardContext

Packages that use WebAuthnGuardContext
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.

## Uses of WebAuthnGuardContext in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type parameters of type WebAuthnGuardContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,WebAuthnGuardContext>`
RequireStrongFreshAuthnAccessPredicate.`webAuthnGuardContextLookupStrategy`
Lookup strategy to locate the WebAuthnGuardContext.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type arguments of type WebAuthnGuardContext
Modifier and Type
Method
Description
`void`
RequireStrongFreshAuthnAccessPredicate.`setWebAuthnGuardContextLookupStrategy(Function<ProfileRequestContext,WebAuthnGuardContext> strategy)`
Set the lookup strategy to use to locate the `WebAuthnGuardContext`.

## Uses of WebAuthnGuardContext in net.shibboleth.idp.plugin.authn.webauthn.context

Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return WebAuthnGuardContext
Modifier and Type
Method
Description
`WebAuthnGuardContext`
WebAuthnGuardContext.`setStronglyAuthenticated(boolean flag)`
Set a flag to indicate the user performed some kind of 'strong' authentication.